{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-24.05";
    nixos-hardware.url = "github:mandlm/nixos-hardware/p330";

  };

  outputs = { nixpkgs, nixos-hardware, ... }:
    {
      nixosConfigurations = {
        yoga = nixpkgs.lib.nixosSystem {
          system = "x86_64-linux";
          modules = [
            ./configuration.nix
            ./greetd.nix
            ./users.nix
            ./machines/yoga/configuration.nix
            ./machines/yoga/hardware-configuration.nix
          ];
        };

        xps = nixpkgs.lib.nixosSystem {
          system = "x86_64-linux";
          modules = [
            ./configuration.nix
            ./greetd.nix
            ./users.nix
            ./machines/xps/configuration.nix
            ./machines/xps/hardware-configuration.nix
            nixos-hardware.nixosModules.dell-xps-13-9320
          ];
        };
      };
    };
}
